Customers

Update Customer Communication Settings

PATCH
/orgs/{organizationId}/customers/{id}/communication-settings

Updates the communication settings for a customer, e.g. auto-voicemail or static call routing.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

id*string

Request Body

application/json
  1. body
autoVoicemailCalls*boolean

When enabled, inbound calls from this customer's phone number are rejected by the Voys call plan (NAK) so they end up in voicemail.

staticCallDestination*|

Voys account number, internal extension, or phone number. Inbound calls from this customer's phone are routed here. Null disables static routing.

Response Body

OK

application/json
  1. response
autoVoicemailCalls*boolean

When enabled, inbound calls from this customer's phone number are rejected by the Voys call plan (NAK) so they end up in voicemail.

staticCallDestination*|

Voys account number, internal extension, or phone number. Inbound calls from this customer's phone are routed here. Null disables static routing.

curl -X PATCH 'https://api.tillor.eu/orgs/string/customers/string/communication-settings' \  -H 'Content-Type: application/json' \  -d '{  "autoVoicemailCalls": true,  "staticCallDestination": "string"}'
{  "autoVoicemailCalls": true,  "staticCallDestination": "string"}